> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get GRC Control

> Get a specific GRC control by its ID.



## OpenAPI

````yaml get /grc/controls/{control_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /grc/controls/{control_id}:
    get:
      tags:
        - grc
        - controls
      summary: Get GRC Control
      description: Get a specific GRC control by its ID.
      operationId: get_grc_control
      parameters:
        - name: control_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Control Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GRCControlResponse'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    GRCControlResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the GRC control
        name:
          type: string
          title: Name
          description: Control name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Detailed description of the control
        control_objective:
          type: string
          title: Control Objective
          description: The objective this control aims to achieve
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Type or classification of the control
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
          description: Category grouping for the control
        status:
          allOf:
            - $ref: '#/components/schemas/GRCControlStatus'
          description: Current status of the control
        entity:
          anyOf:
            - $ref: '#/components/schemas/GRCEntityResponse'
            - type: 'null'
          description: Associated GRC entity details
        template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Id
          description: Template identifier for the control
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/GRCControlVendorAttributes'
          description: Vendor-specific attributes and identifiers
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Timestamp when the control was created
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Timestamp when the control was last updated
      type: object
      required:
        - id
        - name
        - control_objective
        - status
        - vendor_attributes
      title: Control
      description: Response model for returning GRC control details via an API endpoint.
    ErrorException:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorException
    GRCControlStatus:
      type: string
      enum:
        - NEW
        - PENDING
        - REVIEW
        - NOT APPLICABLE
        - RETIRED
        - IMPLEMENTED
      title: GRCControlStatus
    GRCEntityResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the GRC entity
        name:
          type: string
          title: Name
          description: Entity name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Detailed description of the entity
        type:
          type: string
          title: Type
          description: Type or classification of the GRC entity
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ScopedGRCEntityVendorAttributes'
          description: Vendor-specific attributes and identifiers
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Timestamp when the entity was created
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Timestamp when the entity was last updated
      type: object
      required:
        - id
        - name
        - type
        - vendor_attributes
      title: GRC Entity
      description: Response model for returning GRC entity details via an API endpoint.
    GRCControlVendorAttributes:
      properties:
        id:
          type: string
          title: Id
        vendor:
          type: string
          title: Vendor
        data:
          anyOf:
            - type: object
            - type: 'null'
          title: Data
      type: object
      required:
        - id
        - vendor
      title: GRCControlVendorAttributes
    ScopedGRCEntityVendorAttributes:
      properties:
        id:
          type: string
          title: Id
        vendor:
          type: string
          title: Vendor
        data:
          anyOf:
            - type: object
            - type: 'null'
          title: Data
      type: object
      required:
        - id
        - vendor
      title: ScopedGRCEntityVendorAttributes
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````